SystemOrganization addCategory: #'HM4-PokerDice'!

Object subclass: #PokerDiceGame
	instanceVariableNames: 'hand gameBoard throwButton dieViews handSize'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'HM4-PokerDice'!

!PokerDiceGame methodsFor: 'as yet unclassified' stamp: 'CameronRieck 2/20/2013 20:29'!
initialize
	hand := Hand new.
	handSize := (hand dice) size.
	dieViews := Array new: handSize.
	1 to: handSize do: [ :i | dieViews at: i put: DieView new ].
	1 to: handSize do: [ :i | (dieViews at: i) model: (hand dice at: i) ].
	gameBoard := AlignmentMorph newRow.
	gameBoard borderWidth: 1.
	gameBoard hResizing: #shrinkWrap.
	gameBoard vResizing: #shrinkWrap.
	throwButton := (SimpleButtonMorph new) label: 'throw!!'; target: self; actionSelector: #throwButtonPressed.
	gameBoard addMorph: throwButton.
	1 to: handSize do: [ :i | gameBoard addMorph: (dieViews at: i) ].! !

!PokerDiceGame methodsFor: 'as yet unclassified' stamp: 'CameronRieck 2/20/2013 19:29'!
show
	gameBoard openInWorld.! !

!PokerDiceGame methodsFor: 'as yet unclassified' stamp: 'CameronRieck 2/20/2013 20:30'!
throwButtonPressed
	1 to: handSize do: [ :i | (dieViews at: i) throwDie ].! !
